## EvDocumentSecurity

EvDocumentSecurity

## Functions

gboolean | ev_document_security_has_document_security ()
void | ev_document_security_set_password ()

## Types and Values

| EvDocumentSecurity
struct | EvDocumentSecurityInterface

## Object Hierarchy

        GInterface
        ╰── EvDocumentSecurity

## Description

## Functions

### ev_document_security_has_document_security ()

    gboolean
    ev_document_security_has_document_security
                                   (EvDocumentSecurity *document_security);

#### Returns

### ev_document_security_set_password ()

    void
    ev_document_security_set_password (EvDocumentSecurity *document_security,
                                       const char *password);

## Types and Values

### EvDocumentSecurity

    typedef struct _EvDocumentSecurity EvDocumentSecurity;

### struct EvDocumentSecurityInterface

    struct EvDocumentSecurityInterface {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean             (* has_document_security) (EvDocumentSecurity *document_security);
    	void                 (* set_password)          (EvDocumentSecurity *document_security,
    							const char         *password);
    };